<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <title><%= render_page_title %></title>

  <meta property="og:title" content="<%= render_page_title %>" />
  <meta property="og:type" content=<%= @page_type || "website" %> />
  <meta property="og:url" content=<%= request.url %> />
  <meta property="og:image" content=<%= @poster_url || request.base_url + image_path("AvalonMediaSystem_Logo_Large.png") %> />

  <%= csrf_meta_tags %>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <%= favicon_link_tag %>
  <%= stylesheet_link_tag "application", media: "all" %>
  <%= stylesheet_pack_tag 'application' %>
  <%= javascript_pack_tag 'application' %>
  <%= yield :page_styles %>
  <%= yield :additional_head_content %>
  <%= render "modules/google_analytics" %>
  <link rel="preconnect" href="https://msu-p-001.sitecorecontenthub.cloud">
  <link rel="stylesheet" media="all" href="https://msu-p-001.sitecorecontenthub.cloud/api/public/content/1a1d46b45afb40eda6ebf4ed44077295">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>

<body data-mountpoint="<%=main_app.root_path%>" <%= request.fullpath.include?('login_popup') ? 'onunload=closePopup()' : nil %> >
  <div class="page-container">
    <div class="content-wrapper">
      <a id="skip-to-content" class="sr-only sr-only-focusable" href="#iiif-media-player">Skip to main content</a>
      <%= render partial: 'shared/modal' %>
      <% if defined?(Samvera::Persona) %>
      <%= render partial: 'modules/become_message' %>
      <% end %>
      <%= render 'modules/msul_header' %>
      <%= render :partial => 'modules/msul_navigation' %>
      <main role="main" class="<%= "homepage-main" if current_page?(main_app.root_path) %>">

        <!-- Homepage -->
        <% if current_page?(main_app.root_path) %>
        <%= render 'modules/flash_messages' %>
        <%= yield %>
        <% end %>

        <!-- All other pages -->
        <% unless current_page?(main_app.root_path) %>
        <div class="container-md">
          <%= render 'modules/flash_messages' %>
          <%= yield %>
        </div>
        <% end %>

      </main>
    </div>
    <%= render 'modules/msul_footer' %>
  </div>

  <% if request.fullpath.include?('login_popup') %>
    <% content_for :page_scripts do %>
      <script>
        function closePopup() {
          window.close();
        }
      </script>
    <% end %>
  <% end %>

  <!-- With this many Javascript files performance will be much better
         if they are included here. That means the important content will
         load first; the page will not gag on trying to pull down files
         from a CDN -->
  <%= javascript_include_tag "application" %>
  <%= yield :page_scripts %>
</body>

</html>
